/* -*-c-*-
 *
 * $Id: des-base.c,v 1.3 2004/04/02 01:03:49 mdw Exp $
 *
 * Common features for DES implementation
 *
 * (c) 1999 Straylight/Edgeware
 */

/*----- Licensing notice --------------------------------------------------* 
 *
 * This file is part of Catacomb.
 *
 * Catacomb is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Library General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 * 
 * Catacomb is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 * 
 * You should have received a copy of the GNU Library General Public
 * License along with Catacomb; if not, write to the Free
 * Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 * MA 02111-1307, USA.
 */

/*----- Revision history --------------------------------------------------* 
 *
 * $Log: des-base.c,v $
 * Revision 1.3  2004/04/02 01:03:49  mdw
 * Miscellaneous constification.
 *
 * Revision 1.2  2000/06/17 10:52:01  mdw
 * Change name for S-box header file.
 *
 * Revision 1.1  1999/09/03 08:41:11  mdw
 * Initial import.
 *
 */

/*----- Header files ------------------------------------------------------*/

#include <mLib/bits.h>

#include "des-base.h"
#include "des-tab.h"

/*----- Global variables --------------------------------------------------*/

const uint32 des_sp[8][64] = DES_SP;

/*----- That's all, folks -------------------------------------------------*/
